Subject: Re: powerpc: DMA coherent allocations broken for CONFIG_NOT_COHERENT_CACHE

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 28 May 2009 14:19:46 +1000

On Thu, 2009-05-28 at 00:11 -0400, Sean MacLennan wrote:
> On Thu, 28 May 2009 13:52:29 +1000
> Benjamin Herrenschmidt <[email-masked]> wrote:
> 
> > Can't you set ISA_DMA_THRESHOLD = ~0L from your warp.c platform file ?
> 
> I actually set it in the driver proper since it is faster to test, but
> it works. I am just wondering how kosher that is.

Set it in warp.c and send me a patch for 2.6.30, we can have a proper
device bound to it for .31.

> The advantage of the platform_device is I can go back to using the top
> level function. And I suspect down the road the __dma* functions may
> require a real device.
> 
> However, the ISA_DMA_THRESHOLD = ~0L is a less intrusive patch.

Yes until you have a proper device probed of the device-tree.

Cheers,
Ben.